Package com.sun.jna.platform.win32

## Class WinBase.WIN32_FIND_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.WIN32_FIND_DATA

Direct Known Subclasses:
  `WinBase.WIN32_FIND_DATA.ByReference`

Enclosing interface:
  WinBase

    @FieldOrder({"dwFileAttributes","ftCreationTime","ftLastAccessTime","ftLastWriteTime","nFileSizeHigh","nFileSizeLow","dwReserved0","dwReserved1","cFileName","cAlternateFileName"})
    public static class WinBase.WIN32_FIND_DATA
    extends Structure

Contains information about the file that is found by the FindFirstFile, FindFirstFileEx, or FindNextFile function.

### Nested Class Summary

Nested Classes
`static class` `WinBase.WIN32_FIND_DATA.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`char[]` `cAlternateFileName` An alternative name for the file.
`char[]` `cFileName` The name of the file.
`int` `dwFileAttributes` The file attributes of a file.
`int` `dwReserved0` If the dwFileAttributes member includes the FILE_ATTRIBUTE_REPARSE_POINT attribute, this member specifies the reparse point tag.
`int` `dwReserved1` Reserved for future use.
`WinBase.FILETIME` `ftCreationTime` A FILETIME structure that specifies when a file or directory was created.
`WinBase.FILETIME` `ftLastAccessTime` A FILETIME structure.
`WinBase.FILETIME` `ftLastWriteTime` A FILETIME structure.
`int` `nFileSizeHigh` The high-order DWORD value of the file size, in bytes.
`int` `nFileSizeLow` The low-order DWORD value of the file size, in bytes.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`WIN32_FIND_DATA()`
`WIN32_FIND_DATA​(int dwFileAttributes, WinBase.FILETIME ftCreationTime, WinBase.FILETIME ftLastAccessTime, WinBase.FILETIME ftLastWriteTime, int nFileSizeHigh, int nFileSizeLow, int dwReserved0, int dwReserved1, char[] cFileName, char[] cAlternateFileName)`
`WIN32_FIND_DATA​(Pointer memory)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAlternateFileName()`
`java.lang.String` `getFileName()`
`static int` `sizeOf()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwFileAttributes

    public int dwFileAttributes

The file attributes of a file. For possible values and their descriptions, see File Attribute Constants. The FILE_ATTRIBUTE_SPARSE_FILE attribute on the file is set if any of the streams of the file have ever been sparse.

#### ftCreationTime

    public WinBase.FILETIME ftCreationTime

A FILETIME structure that specifies when a file or directory was created. If the underlying file system does not support creation time, this member is zero.

#### ftLastAccessTime

    public WinBase.FILETIME ftLastAccessTime

A FILETIME structure. For a file, the structure specifies when the file was last read from, written to, or for executable files, run. For a directory, the structure specifies when the directory is created. If the underlying file system does not support last access time, this member is zero. On the FAT file system, the specified date for both files and directories is correct, but the time of day is always set to midnight.

#### ftLastWriteTime

    public WinBase.FILETIME ftLastWriteTime

A FILETIME structure. For a file, the structure specifies when the file was last written to, truncated, or overwritten, for example, when WriteFile or SetEndOfFile are used. The date and time are not updated when file attributes or security descriptors are changed. For a directory, the structure specifies when the directory is created. If the underlying file system does not support last write time, this member is zero.

#### nFileSizeHigh

    public int nFileSizeHigh

The high-order DWORD value of the file size, in bytes. This value is zero unless the file size is greater than MAXDWORD. The size of the file is equal to (nFileSizeHigh * (MAXDWORD+1)) + nFileSizeLow.

#### nFileSizeLow

    public int nFileSizeLow

The low-order DWORD value of the file size, in bytes.

#### dwReserved0

    public int dwReserved0

If the dwFileAttributes member includes the FILE_ATTRIBUTE_REPARSE_POINT attribute, this member specifies the reparse point tag. Otherwise, this value is undefined and should not be used. For more information see Reparse Point Tags. IO_REPARSE_TAG_CSV (0x80000009) IO_REPARSE_TAG_DEDUP (0x80000013) IO_REPARSE_TAG_DFS (0x8000000A) IO_REPARSE_TAG_DFSR (0x80000012) IO_REPARSE_TAG_HSM (0xC0000004) IO_REPARSE_TAG_HSM2 (0x80000006) IO_REPARSE_TAG_MOUNT_POINT (0xA0000003) IO_REPARSE_TAG_NFS (0x80000014) IO_REPARSE_TAG_SIS (0x80000007) IO_REPARSE_TAG_SYMLINK (0xA000000C) IO_REPARSE_TAG_WIM (0x80000008)

#### dwReserved1

    public int dwReserved1

Reserved for future use.

#### cFileName

    public char[] cFileName

The name of the file. NOTE: When written from Native memory, this will be a null terminated string. Any characters after the null terminator are random memory. Use function getFileName to get a String with the name.

#### cAlternateFileName

    public char[] cAlternateFileName

An alternative name for the file. This name is in the classic 8.3 file name format. NOTE: When written from Native memory, this will be a null terminated string. Any characters after the null terminator are random memory. Use function getAlternateFileName to get a String with the alternate name.

### Constructor Detail

#### WIN32_FIND_DATA

    public WIN32_FIND_DATA()

#### WIN32_FIND_DATA

    public WIN32_FIND_DATA​(Pointer memory)

#### WIN32_FIND_DATA

    public WIN32_FIND_DATA​(int dwFileAttributes,
                           WinBase.FILETIME ftCreationTime,
                           WinBase.FILETIME ftLastAccessTime,
                           WinBase.FILETIME ftLastWriteTime,
                           int nFileSizeHigh,
                           int nFileSizeLow,
                           int dwReserved0,
                           int dwReserved1,
                           char[] cFileName,
                           char[] cAlternateFileName)

### Method Detail

#### sizeOf

    public static int sizeOf()

#### getFileName

    public java.lang.String getFileName()

Returns:
  String containing the file name

#### getAlternateFileName

    public java.lang.String getAlternateFileName()

Returns:
  String containing the alternate file name